# eric5.uninstall

Uninstallation script for the eric5 IDE and all eric5 related tools.

### Global Attributes

progLanguages
progName
pyModDir

### Classes

None

### Functions

exit | Exit the uninstall script.
initGlobals | Sets the values of globals that need more than a simple assignment.
main | The main function of the script.
uninstallEric | Uninstall the eric files.
usage | Display a usage message and exit.
wrapperName | Create the platform specific name for the wrapper script.

## exit

exit(rcode=0)

Exit the uninstall script.

Up

## initGlobals

initGlobals()

Sets the values of globals that need more than a simple assignment.

Up

## main

main(argv)

The main function of the script.

argv is the list of command line arguments.

Up

## uninstallEric

uninstallEric()

Uninstall the eric files.

Up

## usage

usage(rcode=2)

Display a usage message and exit.

rcode is the return code passed back to the calling process.

Up

## wrapperName

wrapperName(dname, wfile)

Create the platform specific name for the wrapper script.

Up